Closed Bug 1044257 Opened 7 years ago Closed 6 years ago

[meta] Update our animations to use NineOldAndroids

Categories

(Firefox for Android Graveyard :: General, defect)

All
Android
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: Margaret, Unassigned)

References

Details

I filed bug 1044133 to add NineOldAndroids to the tree, so we should start to update our animations to use that instead of our own animation compatibility library.

Please set bugs to update individual animations to block this one.
Depends on: 1044273
Depends on: 1044275
I was thinking about this this morning and made myself nervous. This seems like core functionality that we're likely going to want to extend/change at times. At least, I've extended it before in bug 889620 (which never landed because of other things).

Are we getting ourselves into the same situations we've got with Picasso here where our work is going to wind up blocked on getting updates into a (basically non-maintained) animation library? What did we need here that our already written animation libraries couldn't support?
Since NineOldAndroids doesn't seem to be actively developed anymore, we probably won't ever need to update it, so I would be fine with us patching it ourselves if we need to.

However, I think it has probably been used and tested much more than our homegrown animation support, so I don't know how much we would need to change.
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Product: Firefox for Android → Firefox for Android Graveyard
You need to log in before you can comment on or make changes to this bug.